# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration
parameters:
    locale: fr
    nbreParPage: 10
    statut_operateur_directory: '%kernel.project_dir%/public/upload/operateur/statut'
    acte_nomination_directory: '%kernel.project_dir%/public/upload/operateur/membre/acte_nomination'
    arrete_directory: '%kernel.project_dir%/public/upload/arrete'
    contrat_principal_directory: '%kernel.project_dir%/public/upload/contrat/contrat_principal'
    contrat_relatif_directory: '%kernel.project_dir%/public/upload/contrat/contrat_relatif'
    etat_financier_directory: '%kernel.project_dir%/public/upload/etat_financier'
    impact_environnemental_directory: '%kernel.project_dir%/public/upload/impact_environnemental'
    image_directory: '%kernel.project_dir%/public/upload/image'
    aide_public_directory: '%kernel.project_dir%/public/upload/aide_public'

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones

    App\Service\ActeNominationUploader:
        arguments:
            $targetDirectory: '%acte_nomination_directory%'

    App\Service\ArreteUploader:
        arguments:
            $targetDirectory: '%arrete_directory%'

    App\Service\ContratPrincipalUploader:
        arguments:
            $targetDirectory: '%contrat_principal_directory%'

    App\Service\ContratRelatifUploader:
        arguments:
            $targetDirectory: '%contrat_relatif_directory%'

    App\Service\StatutUploader:
        arguments:
            $targetDirectory: '%statut_operateur_directory%'

    App\Service\EtatFinancierUploader:
        arguments:
            $targetDirectory: '%etat_financier_directory%' 
    
    App\Service\ImpactEnvironnementalUploader:
        arguments:
            $targetDirectory: '%impact_environnemental_directory%'

    App\Service\AidePublicUploader:
        arguments:
            $targetDirectory: '%aide_public_directory%'

    App\Service\ImportationUploader:
        arguments:
            $targetDirectory: '%aide_public_directory%'

    App\Service\ImageUploader:
        arguments:
            $targetDirectory: '%image_directory%'

    App\EventListener\LoginListener:
        tags:
            - { name: 'kernel.event_listener', event: 'security.interactive_login' }

    admin.categorie:
        class: App\Admin\Emine\Operateur\CategorieAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Categorie, manager_type: orm, group: "Identification", label: Catégories, icon: "fa fa-book", show_mosaic_button: true}

    admin.souscategorie:
        class: App\Admin\Emine\Operateur\SousCategorieAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\SousCategorie, manager_type: orm, group: "Identification", label: Sous-catégories, icon: "fa fa-book", show_mosaic_button: true}

    admin.commodite:
        class: App\Admin\Emine\Operateur\CommoditeAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Commodite, manager_type: orm, group: "Identification", label: Commodités, icon: "fa fa-book", show_mosaic_button: true}
    
    admin.typecommodite:
        class: App\Admin\Emine\Operateur\TypeCommoditeAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\TypeCommodite, manager_type: orm, group: "Identification", label: Type commodités, icon: "fa fa-book", show_mosaic_button: true}
    
    admin.filiere:
        class: App\Admin\Emine\Operateur\FiliereAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Filiere, manager_type: orm, group: "Identification", label: Filières, icon: "fa fa-book", show_mosaic_button: true}

    admin.formejuridique:
        class: App\Admin\Emine\Operateur\FormeJuridiqueAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\FormeJuridique, manager_type: orm, group: "Identification", label: Formes juridiques, icon: "fa fa-book", show_mosaic_button: true}
    
    admin.mandataire:
        class: App\Admin\Emine\Operateur\MandataireAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Mandataire, manager_type: orm, group: "Identification", label: Mandataires en mines, icon: "fa fa-book", show_mosaic_button: true}
    
    admin.mandataireetat:
        class: App\Admin\Emine\Operateur\MandataireEtatAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\MandataireEtat, manager_type: orm, group: "Identification", label: Mandataires de l'Etat, icon: "fa fa-book", show_mosaic_button: true}
    
    admin.nomination:
        class: App\Admin\Emine\Operateur\NominationMandataireEtatAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\NominationMandataireEtat, manager_type: orm, group: "Identification", label: Nominations mandataires, icon: "fa fa-book", show_mosaic_button: true}
    
    admin.membre:
        class: App\Admin\Emine\Membre\MembreAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Membre, manager_type: orm, group: "Identification", label: Membres, icon: "fa fa-book", show_mosaic_button: true}

    admin.operateur:
        class: App\Admin\Emine\Operateur\OperateurAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Operateur, controller: App\Controller\Crud\CRUDOperateurController, manager_type: orm, group: "Identification", label: Opérateurs, icon: "fa fa-book", show_mosaic_button: true, default: true}
    
    admin.artisanal:
        class: App\Admin\Emine\Operateur\ArtisanalAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Operateur, manager_type: orm, group: "Identification", label: Opérateurs artisanaux, icon: "fa fa-book", show_mosaic_button: true}

    admin.industriel:
        class: App\Admin\Emine\Operateur\IndustrielAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Operateur, manager_type: orm, group: "Identification", label: Opérateurs industriels, icon: "fa fa-book", show_mosaic_button: true}

    admin.semi:
        class: App\Admin\Emine\Operateur\SemiIndustrielAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Operateur, manager_type: orm, group: "Identification", label: Opérateurs semi-industriels, icon: "fa fa-book", show_mosaic_button: true}

    admin.serviceoperateur:
        class: App\Admin\Emine\Operateur\ServiceAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Operateur, manager_type: orm, group: "Identification", label: Opérateurs des services, icon: "fa fa-book", show_mosaic_button: true}

    admin.sousTraitance:
        class: App\Admin\Emine\Operateur\SousTraitancesAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\SousTraitances, manager_type: orm, group: "Identification", label: Sous-traitances, icon: "fa fa-book", show_mosaic_button: true}

    admin.province:
        class: App\Admin\Emine\Operateur\ProvinceAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Province, manager_type: orm, group: "Identification", label: Provinces, icon: "fa fa-book", show_mosaic_button: true}
    
    admin.secteur:
        class: App\Admin\Emine\Operateur\SecteurAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Secteur, manager_type: orm, global_search: false, group: "Identification", label: Secteurs, icon: "fa fa-book", show_mosaic_button: true}
    
    admin.soussecteur:
        class: App\Admin\Emine\Operateur\SousSecteurAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\SousSecteur, manager_type: orm, global_search: false, group: "Identification", label: Sous-secteurs, icon: "fa fa-book", show_mosaic_button: true}
    
    admin.ville:
        class: App\Admin\Emine\Operateur\VilleAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Ville, manager_type: orm, group: "Identification", label: Villes, icon: "fa fa-book", show_mosaic_button: true}

    admin.siege:
        class: App\Admin\Emine\Operateur\SiegeExploitationAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\SiegeExploitation, manager_type: orm, group: "Identification", label: Sièges d'exploitation, icon: "fa fa-book", show_mosaic_button: true}

    admin.titreminier:
        class: App\Admin\Emine\Autres\TitreMinierAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\TitreMinier, manager_type: orm, controller: App\Controller\Crud\CRUDTitreMinierController, group: "Actifs miniers", label: Titres miniers, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.gisement:
        class: App\Admin\Emine\Autres\GisementAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\Gisement, manager_type: orm, global_search: false, group: "Actifs miniers", controller: App\Controller\Crud\CRUDGisementController, label: Gisements, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.teneur:
        class: App\Admin\Emine\Autres\TeneurCommoditeAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\TeneurCommodite, manager_type: orm, global_search: false, group: "Actifs miniers", label: Teneurs commodités, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.site:
        class: App\Admin\Emine\Operateur\SiteAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Site, manager_type: orm, group: "Actifs miniers", label: Sites, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.mine:
        class: App\Admin\Emine\Activite\MineAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Mine, controller: App\Controller\Crud\CRUDMineController, manager_type: orm, group: "Actifs miniers", label: Mines, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.projet:
        class: App\Admin\Emine\Activite\ProjetAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Projet, manager_type: orm, group: "Actifs miniers", controller: App\Controller\Crud\CRUDProjetController, label: Projets, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.zea:
        class: App\Admin\Emine\Autres\ZeaAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\Zea, manager_type: orm, global_search: false, group: "Actifs miniers", label: ZEA, icon: "fa fa-cubes", show_mosaic_button: true}

    admin.territoire:
        class: App\Admin\Emine\Autres\TerritoireAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\Territoire, manager_type: orm, global_search: false, group: "Actifs miniers", label: Territoires, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.chefferie:
        class: App\Admin\Emine\Autres\ChefferieAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\Chefferie, manager_type: orm, global_search: false, group: "Actifs miniers", label: Chefferies, icon: "fa fa-cubes", show_mosaic_button: true}

    
    admin.village:
        class: App\Admin\Emine\Autres\VillageAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\Village, manager_type: orm, global_search: false, group: "Actifs miniers", label: Villages, icon: "fa fa-cubes", show_mosaic_button: true}

    admin.amodiation:
        class: App\Admin\Emine\Autres\AmodiationAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\Amodiation, manager_type: orm, global_search: false, group: "Actifs miniers", controller: App\Controller\Crud\CRUDAmodiationController, label: Amodiations, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.cession:
        class: App\Admin\Emine\Autres\CessionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Cession, manager_type: orm, group: "Actifs miniers", label: Cessions, controller: App\Controller\Crud\CRUDCessionController, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.option:
        class: App\Admin\Emine\Autres\OptionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Option, manager_type: orm, group: "Actifs miniers", label: Options, controller: App\Controller\Crud\CRUDOptionController, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.transfert:
        class: App\Admin\Emine\Autres\TransfertAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Transfert, manager_type: orm, group: "Actifs miniers", label: Transferts, controller: App\Controller\Crud\CRUDTransfertController, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.transformation:
        class: App\Admin\Emine\Autres\TransformationAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Transformation, manager_type: orm, group: "Actifs miniers", label: Transformations, controller: App\Controller\Crud\CRUDTransformationController, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.usine:
        class: App\Admin\Emine\Activite\UsineAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Estat\Autres\Usine, manager_type: orm, group: "Actifs miniers", label: Usines, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.reserve:
        class: App\Admin\Emine\Activite\ReserveAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Reserve, controller: App\Controller\Crud\CRUDReserveController, manager_type: orm, group: "Actifs miniers", label: Réserves, icon: "fa fa-cubes", show_mosaic_button: true}

    admin.ressource:
        class: App\Admin\Emine\Activite\RessourceAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Ressource, manager_type: orm, group: "Actifs miniers", controller: App\Controller\Crud\CRUDRessourceController, label: Ressources, icon: "fa fa-cubes", show_mosaic_button: true}

    admin.investisseur:
        class: App\Admin\Emine\Actionnariat\InvestisseurAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Actionnariat\Investisseur, manager_type: orm, group: "Actionnariat", label: Investisseurs, icon: "fa fa-bank", show_mosaic_button: true}

    admin.actionnaire:
        class: App\Admin\Emine\Actionnariat\ActionnaireAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Actionnariat\Actionnaire, controller: App\Controller\Crud\CRUDActionnaireController, manager_type: orm, group: "Actionnariat", label: Actionnaires, icon: "fa fa-bank", show_mosaic_button: true}

    admin.local:
        class: App\Admin\Emine\Actionnariat\ActionnariatLocalAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Actionnariat\ActionnariatLocal, controller: App\Controller\Crud\CRUDActionnaireController, manager_type: orm, group: "Actionnariat", label: Actionnariats locaux, icon: "fa fa-bank", show_mosaic_button: true}

    admin.partActionnaire:
        class: App\Admin\Emine\Actionnariat\PartActionnaireAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Actionnariat\PartActionnaire, global_search: false, controller: App\Controller\Crud\CRUDPartActionnaireController, manager_type: orm, group: "Actionnariat", label: Parts des actionnaires, icon: "fa fa-bank", show_mosaic_button: true}

    admin.pays:
        class: App\Admin\Emine\Actionnariat\PaysAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Actionnariat\Pays, manager_type: orm, group: "Actionnariat", label: Pays, icon: "fa fa-bank", show_mosaic_button: true}
    
    admin.arrete:
        class: App\Admin\Emine\CadreJuridique\ArreteAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\CadreJuridique\Arrete, manager_type: orm, group: "Actionnariat", controller: App\Controller\Crud\CRUDArreteController, label: Arrêtés, icon: "fa fa-bank", show_mosaic_button: true}
    
    admin.catarrete:
        class: App\Admin\Emine\CadreJuridique\CategorieArreteAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\CadreJuridique\CategorieArrete, manager_type: orm, group: "Actionnariat", label: Catégories des arrêtés, icon: "fa fa-bank", show_mosaic_button: true}
    
    admin.souscatarrete:
        class: App\Admin\Emine\CadreJuridique\SousCategorieArreteAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\CadreJuridique\SousCategorieArrete, manager_type: orm, group: "Actionnariat", label: Sous catégories des arrêtés, icon: "fa fa-bank", show_mosaic_button: true}
    
    admin.agrement:
        class: App\Admin\Emine\Activite\AgrementAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Agrement, manager_type: orm, global_search: false, group: "Actionnariat", label: Agréments, icon: "fa fa-bank", show_mosaic_button: true}
    
    admin.legislation:
        class: App\Admin\Emine\CadreJuridique\LegislationAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\CadreJuridique\Legislation, manager_type: orm, group: "Actionnariat", label: Législations, icon: "fa fa-bank", show_mosaic_button: true}
    
    admin.contratprincipal:
        class: App\Admin\Emine\CadreJuridique\ContratPrincipalAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\CadreJuridique\ContratPrincipal, controller: App\Controller\Crud\CRUDContratPrincipalController, manager_type: orm, group: "Actionnariat", label: Contrats principaux, icon: "fa fa-bank", show_mosaic_button: true}
    
    admin.contratRelatif:
        class: App\Admin\Emine\CadreJuridique\ContratRelatifAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\CadreJuridique\ContratRelatif, manager_type: orm, group: "Actionnariat", controller: App\Controller\Crud\CRUDContratRelatifController, label: Contrats Relatifs, icon: "fa fa-bank", show_mosaic_button: true}

    admin.entiteGouvernementale:
        class: App\Admin\Emine\CadreJuridique\EntiteGouvernementaleAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\CadreJuridique\EntiteGouvernementale, manager_type: orm, group: "Actionnariat", label: Entités gouvernementales, icon: "fa fa-bank", show_mosaic_button: true}
    
    admin.partcontrat:
        class: App\Admin\Emine\CadreJuridique\PartContratAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\CadreJuridique\PartContrat, manager_type: orm, group: "Actionnariat", label: Parts des contrats, icon: "fa fa-bank", show_mosaic_button: true}

    admin.typearrete:
        class: App\Admin\Emine\CadreJuridique\TypeArreteAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\CadreJuridique\TypeArrete, manager_type: orm, group: "Actionnariat", label: Types d'arrêtés, icon: "fa fa-bank", show_mosaic_button: true}

    admin.typecontrat:
        class: App\Admin\Emine\CadreJuridique\TypeContratAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\CadreJuridique\TypeContrat, manager_type: orm, group: "Actionnariat", label: Types des contrats, icon: "fa fa-bank", show_mosaic_button: true}

    admin.typedocument:
        class: App\Admin\Emine\CadreJuridique\TypeDocumentAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\CadreJuridique\TypeDocument, manager_type: orm, group: "Actionnariat", label: Types des documents, icon: "fa fa-bank", show_mosaic_button: true}
    
    admin.proprietaire:
        class: App\Admin\Emine\Operateur\ProprietaireReelAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\ProprietaireReel, manager_type: orm, group: "Actionnariat", label: Propriétaires réels, icon: "fa fa-bank", show_mosaic_button: true}
    
    admin.acquisition:
        class: App\Admin\Emine\Operateur\AcquisitionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Acquisition, manager_type: orm, group: "Actionnariat", label: Acquisitions, icon: "fa fa-bank", show_mosaic_button: true}

    admin.investissement:
        class: App\Admin\Emine\Actionnariat\InvestissementAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Actionnariat\Investissement, manager_type: orm, group: "Investissements", label: Investissements, icon: "fa fa-money", show_mosaic_button: true}

    admin.partinvestisseur:
        class: App\Admin\Emine\Actionnariat\PartInvestisseurAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Actionnariat\PartInvestisseur, controller: App\Controller\Crud\CRUDPartInvestisseurController, manager_type: orm, group: "Investissements", label: Parts des investisseurs, icon: "fa fa-money", show_mosaic_button: true}

    admin.etatfinancier:
        class: App\Admin\Emine\Obligation\EtatFinancierAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Obligation\EtatFinancier, controller: App\Controller\Crud\CRUDEtatFinancierController, manager_type: orm, group: "Investissements", label: Etats financiers, icon: "fa fa-money", show_mosaic_button: true}
    
    admin.consommabletraite:
        class: App\Admin\Emine\Activite\ConsommableTraitementAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\ConsommableTraitement, manager_type: orm, group: "Activités des opérateurs", label: Consommables - traitements, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.decouvertereserve:
        class: App\Admin\Emine\Activite\DecouverteReserveAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Estat\Autres\DecouverteReserve, manager_type: orm, group: "Activités des opérateurs", label: Découvertes réserves, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.decouverteressource:
        class: App\Admin\Emine\Activite\DecouverteRessourceAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Estat\Autres\DecouverteRessource, manager_type: orm, group: "Activités des opérateurs", label: Découvertes ressources, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.extraction:
        class: App\Admin\Emine\Activite\ExtractionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Extraction, manager_type: orm, group: "Activités des opérateurs", label: Extractions, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.consoextraction:
        class: App\Admin\Emine\Activite\ConsommationExtractionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\ConsommationExtraction, manager_type: orm, group: "Activités des opérateurs", label: Consommations-extractions, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.consoraitement:
        class: App\Admin\Emine\Activite\ConsommationTraitementAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\ConsommationTraitement, manager_type: orm, group: "Activités des opérateurs", label: Consommations-traitements, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.methode:
        class: App\Admin\Emine\Activite\MethodeAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Methode, manager_type: orm, group: "Activités des opérateurs", label: Méthodes, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.methodeextraction:
        class: App\Admin\Emine\Activite\MethodeExtractionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\MethodeExtraction, manager_type: orm, group: "Activités des opérateurs", label: Méthodes-extractions, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.methodeTraitement:
        class: App\Admin\Emine\Activite\MethodeTraitementAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\MethodeTraitement, manager_type: orm, group: "Activités des opérateurs", label: Méthodes-traitements, icon: "fa fa-cubes", show_mosaic_button: true}

    admin.reserveHisto:
        class: App\Admin\Emine\Activite\ReserveHistoriqueAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Estat\Autres\ReserveHistorique, manager_type: orm, group: "Activités des opérateurs", label: Réserves historiques, icon: "fa fa-cubes", show_mosaic_button: true}

    admin.reserveentreprise:
        class: App\Admin\Emine\Activite\ReserveEntrepriseAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Estat\Autres\ReserveEntreprise, manager_type: orm, group: "Activités des opérateurs", label: Réserves entreprises, icon: "fa fa-cubes", show_mosaic_button: true}

    admin.ressourcehisto:
        class: App\Admin\Emine\Activite\RessourceHistoriqueAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Estat\Autres\RessourceHistorique, manager_type: orm, group: "Activités des opérateurs", label: Ressources historiques, icon: "fa fa-cubes", show_mosaic_button: true}

    admin.ressourceentre:
        class: App\Admin\Emine\Activite\RessourceEntrepriseAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Estat\Autres\RessourceEntreprise, manager_type: orm, group: "Activités des opérateurs", label: Ressources entreprises, icon: "fa fa-cubes", show_mosaic_button: true}

    admin.traitement:
        class: App\Admin\Emine\Activite\TraitementAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Traitement, manager_type: orm, group: "Activités des opérateurs", label: Traitements, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.infoemploi:
        class: App\Admin\Emine\Operateur\InformationEmploiAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\InformationEmploi, manager_type: orm, group: "Activités des opérateurs", label: Informations des emplois, icon: "fa fa-cubes", show_mosaic_button: true}

    admin.exportation:
        class: App\Admin\Emine\Production\ExportationAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Production\Exportation, controller: App\Controller\Crud\CRUDExportationController, manager_type: orm, group: "Activités des opérateurs", label: Exportations, icon: "fa fa-cubes", show_mosaic_button: true}

    admin.quota:
        class: App\Admin\Emine\Production\QuotaExportationCobaltAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Production\QuotaExportationCobalt, manager_type: orm, group: "Activités des opérateurs", label: Quota exportations cobalt, icon: "fa fa-cubes", show_mosaic_button: true}

    admin.production:
        class: App\Admin\Emine\Production\ProductionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Production\Production, controller: App\Controller\Crud\CRUDProductionController, manager_type: orm, group: "Activités des opérateurs", label: Productions industrielles, icon: "fa fa-cubes", show_mosaic_button: true, default: true}
    
    admin.stock:
        class: App\Admin\Emine\Production\StockAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Production\Stock, manager_type: orm, group: "Activités des opérateurs", label: Stocks, icon: "fa fa-cubes", show_mosaic_button: true, default: true}
    
    admin.productionartisanal:
        class: App\Admin\Emine\Production\ProductionArtisanalAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Production\Production, controller: App\Controller\Crud\CRUDProductionArtisanalController, manager_type: orm, group: "Activités des opérateurs", label: Productions artisanales, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.produitvalorisable:
        class: App\Admin\Emine\Production\ProduitValorisableAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Production\ProduitValorisable, controller: App\Controller\Crud\CRUDVenteLocaleController, manager_type: orm, group: "Activités des opérateurs", label: Produits valorisables, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.rejet:
        class: App\Admin\Emine\Production\RejetAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Production\Rejet, manager_type: orm, group: "Activités des opérateurs", label: Rejets, icon: "fa fa-cubes", show_mosaic_button: true}

    admin.ventelocale:
        class: App\Admin\Emine\Production\VenteLocalAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Production\VenteLocal, controller: App\Controller\Crud\CRUDVenteLocaleController, manager_type: orm, group: "Activités des opérateurs", label: Ventes locales, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.provenancep:
        class: App\Admin\Emine\Production\ProvenancePrincipaleAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Production\ProvenancePrincipale, manager_type: orm, group: "Activités des opérateurs", label: Provenances principales, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.provenances:
        class: App\Admin\Emine\Production\ProvenanceSecondaireAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Production\ProvenanceSecondaire, manager_type: orm, group: "Activités des opérateurs", label: Provenances secondaires, icon: "fa fa-cubes", show_mosaic_button: true}
    
    admin.besoin:
        class: App\Admin\Emine\Autres\BesoinEnergetiqueAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\BesoinEnergetique, manager_type: orm, group: "Besoins des opérateurs", label: Besoins énergétiques, icon: "fa fa-plug", show_mosaic_button: true}
    
    admin.besoinintrant:
        class: App\Admin\Emine\Autres\BesoinIntrantAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\BesoinIntrant, manager_type: orm, group: "Besoins des opérateurs", label: Besoins en intrant, icon: "fa fa-plug", show_mosaic_button: true}
    
    admin.intrant:
        class: App\Admin\Emine\Activite\IntrantAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Intrant, manager_type: orm, group: "Besoins des opérateurs", label: Intrants, icon: "fa fa-plug", show_mosaic_button: true}
    
    admin.consommable:
        class: App\Admin\Emine\Activite\ConsommableAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Activite\Consommable, manager_type: orm, group: "Besoins des opérateurs", label: Consommables, icon: "fa fa-plug", show_mosaic_button: true}
    admin.dot:
        class: App\Admin\Emine\Operateur\DotAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Dot, manager_type: orm, global_search: false, group: "Obligations des opérateurs", label: Identification des dots, icon: "fa fa-gavel", show_mosaic_button: true, default: true}
    
    admin.comiteDot:
        class: App\Admin\Emine\Operateur\ComitePilotageDotAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\ComitePilotageDot, manager_type: orm, controller: App\Controller\Crud\CRUDComitePilotageDotController, global_search: false, group: "Obligations des opérateurs", label: Comités de pilotage des Dots, icon: "fa fa-gavel", show_mosaic_button: true, default: true}
    
    admin.surete:
        class: App\Admin\Emine\Obligation\SureteFinanciereAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Obligation\SureteFinanciere, manager_type: orm, group: "Obligations des opérateurs", label: Sûretés financières, icon: "fa fa-gavel", show_mosaic_button: true}
    
    admin.natureprojet:
        class: App\Admin\Emine\Operateur\NatureProjetAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\NatureProjet, manager_type: orm, group: "Obligations des opérateurs", label: Natures des projets, icon: "fa fa-gavel", show_mosaic_button: true}
    
    admin.projetdot:
        class: App\Admin\Emine\Operateur\ProjetDotAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\ProjetDot, manager_type: orm, controller: App\Controller\Crud\CRUDProjetDotController, group: "Obligations des opérateurs", label: Projets des Dots, icon: "fa fa-gavel", show_mosaic_button: true, default: true}

    admin.emploidot:
        class: App\Admin\Emine\Operateur\EmployeProjetDotAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\EmployeProjetDot, manager_type: orm, group: "Obligations des opérateurs", label: Emplois crées Dots, icon: "fa fa-gavel", show_mosaic_button: true, default: true}
    
    admin.image:
        class: App\Admin\Emine\Operateur\ImageAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\Image, manager_type: orm, group: "Obligations des opérateurs", label: Images des projets, icon: "fa fa-gavel", show_mosaic_button: true, default: true}
    
    admin.cahier:
        class: App\Admin\Emine\Operateur\CahierDeChargeAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\CahierDeCharge, manager_type: orm, controller: App\Controller\Crud\CRUDCahierDeChargeController, group: "Obligations des opérateurs", label: Cahiers de charges, icon: "fa fa-gavel", show_mosaic_button: true, default: true}
    
    admin.projetcahier:
        class: App\Admin\Emine\Operateur\ProjetCahierDeChargeAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\ProjetCahierDeCharge, manager_type: orm, controller: App\Controller\Crud\CRUDProjetCahierDeChargeController, group: "Obligations des opérateurs", label: Projets des cahiers de charges, icon: "fa fa-gavel", show_mosaic_button: true, default: true}
    
    admin.emploicahier:
        class: App\Admin\Emine\Operateur\EmpoyeProjetCahierDeChargeAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\EmployeProjetCahierDeCharge, manager_type: orm, group: "Obligations des opérateurs", label: Emplois crées cahiers de charges, icon: "fa fa-gavel", show_mosaic_button: true, default: true}
    
    admin.paiement:
        class: App\Admin\Emine\Obligation\PaiementAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Obligation\Paiement, manager_type: orm, group: "Obligations des opérateurs", label: Paiements, icon: "fa fa-gavel", show_mosaic_button: true}

    admin.rapatriement:
        class: App\Admin\Emine\Obligation\RapatriementAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Obligation\Rapatriement, manager_type: orm, group: "Obligations des opérateurs", label: Rapatriements, icon: "fa fa-gavel", show_mosaic_button: true}

    admin.redevance:
        class: App\Admin\Emine\Obligation\RedevanceAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Obligation\Redevance, controller: App\Controller\Crud\CRUDRedevanceController, manager_type: orm, group: "Obligations des opérateurs", label: Redevances, icon: "fa fa-gavel", show_mosaic_button: true}
    
    admin.versementredevance:
        class: App\Admin\Emine\Obligation\VersementRedevanceAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Obligation\VersementRedevance, manager_type: orm, controller: App\Controller\Crud\CRUDVersementRedevanceController, group: "Obligations des opérateurs", label: Versements de la redevance, icon: "fa fa-gavel", show_mosaic_button: true}
    
    admin.versementdot:
        class: App\Admin\Emine\Obligation\VersementDotAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Obligation\VersementDot, controller: App\Controller\Crud\CRUDVersementDotController, manager_type: orm, group: "Obligations des opérateurs", label: Versements de la Dotation, icon: "fa fa-gavel", show_mosaic_button: true}
    
    admin.repartitionredevance:
        class: App\Admin\Emine\Obligation\RepartitionRedevanceAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Obligation\RepartitionRedevance, manager_type: orm, group: "Obligations des opérateurs", label: Répartitions redevances, icon: "fa fa-gavel", show_mosaic_button: true}

    admin.repartitiondotation:
        class: App\Admin\Emine\Obligation\RepartitionDotationAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Obligation\RepartitionDotation, manager_type: orm, group: "Obligations des opérateurs", label: Répartitions dotation, icon: "fa fa-gavel", show_mosaic_button: true}

    admin.service:
        class: App\Admin\Emine\Obligation\ServiceEtatAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Obligation\ServiceEtat, manager_type: orm, group: "Obligations des opérateurs", label: Services de l'Etat, icon: "fa fa-gavel", show_mosaic_button: true}

    admin.taxe:
        class: App\Admin\Emine\Obligation\TaxeAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Obligation\Taxe, manager_type: orm, group: "Obligations des opérateurs", label: Taxes, icon: "fa fa-gavel", show_mosaic_button: true}

    admin.typetaxe:
        class: App\Admin\Emine\Obligation\TypeTaxeAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Obligation\TypeTaxe, manager_type: orm, group: "Obligations des opérateurs", label: Types taxes, icon: "fa fa-gavel", show_mosaic_button: true}

    admin.environnemental:
        class: App\Admin\Emine\Impact\EnvironnementalAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Impact\Environemental, manager_type: orm, group: "Obligations des opérateurs", controller: App\Controller\Crud\CRUDEnvironnementalController, label: Etudes environnementales, icon: "fa fa-gavel", show_mosaic_button: true}
    
    admin.plan:
        class: App\Admin\Emine\Impact\PlanEnvironnementalAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Impact\PlanEnvironnemental, manager_type: orm, group: "Obligations des opérateurs", label: Plans environnementaux, controller: App\Controller\Crud\CRUDPlanEnvironnementalController, icon: "fa fa-gavel", show_mosaic_button: true}

    admin.infofinanciere:
        class: App\Admin\Emine\Obligation\InformationFinanciereAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Obligation\InformationFinanciere, manager_type: orm, group: "Obligations des opérateurs", controller: App\Controller\Crud\CRUDInformationFinanciereController, label: Informations financières, icon: "fa fa-gavel", show_mosaic_button: true}
    
    admin.accident:
        class: App\Admin\Emine\Impact\AccidentAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Impact\Accident, manager_type: orm, group: "Maladies et Accidents", label: Accidents, icon: "fa fa-tree", show_mosaic_button: true}

    admin.maladie:
        class: App\Admin\Emine\Impact\MaladieAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Impact\Maladie, manager_type: orm, global_search: false, group: "Maladies et Accidents", label: Maladies, icon: "fa fa-tree", show_mosaic_button: true}

    admin.mst:
        class: App\Admin\Emine\Impact\MstAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Impact\Mst, manager_type: orm, group: "Maladies et Accidents", label: IST et SIDA, icon: "fa fa-tree", show_mosaic_button: true}

    admin.pollution:
        class: App\Admin\Emine\Impact\PollutionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Impact\Pollution, manager_type: orm, group: "Maladies et Accidents", label: Pollutions, icon: "fa fa-tree", show_mosaic_button: true}

    admin.typemaladie:
        class: App\Admin\Emine\Impact\TypeMaladieAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Impact\TypeMaladie, manager_type: orm, group: "Maladies et Accidents", label: Types de maladies, icon: "fa fa-tree", show_mosaic_button: true}

    admin.soustypemaladie:
        class: App\Admin\Emine\Impact\SousTypeMaladieAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Impact\SousTypeMaladie, manager_type: orm, group: "Maladies et Accidents", label: Sous types de maladies, icon: "fa fa-tree", show_mosaic_button: true}

    admin.typepollution:
        class: App\Admin\Emine\Impact\TypePollutionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Impact\TypePollution, manager_type: orm, group: "Maladies et Accidents", label: Types de pollutions, icon: "fa fa-tree", show_mosaic_button: true}
    
    admin.aide:
        class: App\Admin\Emine\Autres\AidePubliqueAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\AidePublique, manager_type: orm, group: "Etd", label: Aides publiques, icon: "fa fa-diamond", show_mosaic_button: true}
    
    admin.comite:
        class: App\Admin\Emine\Autres\ComiteAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\Comite, manager_type: orm, group: "Etd", controller: App\Controller\Crud\CRUDComiteController, label: Comités de gestion ETD, icon: "fa fa-diamond", show_mosaic_button: true}
    
    admin.contribution:
        class: App\Admin\Emine\Autres\ContributionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\Contribution, manager_type: orm, global_search: false, group: "Etd", label: Contributions, icon: "fa fa-diamond", show_mosaic_button: true}
    
    admin.entreprise:
        class: App\Admin\Emine\Autres\EntrepriseAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\Entreprise, manager_type: orm, group: "Etd", label: Entreprises, icon: "fa fa-diamond", show_mosaic_button: true}

    admin.etd:
        class: App\Admin\Emine\Autres\EtdAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\Etd, manager_type: orm, group: "Etd", label: Etds, icon: "fa fa-diamond", show_mosaic_button: true}

    admin.comitepilotage:
        class: App\Admin\Emine\Autres\ComitePilotageAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\ComitePilotage, manager_type: orm, group: "Etd", controller: App\Controller\Crud\CRUDComitePilotageEtdController, label: Comité de pilotage, icon: "fa fa-diamond", show_mosaic_button: true}

    admin.depenseetd:
        class: App\Admin\Emine\Autres\DepenseEtdAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\DepenseEtd, manager_type: orm, group: "Etd", controller: App\Controller\Crud\CRUDDepenseEtdController, label: Dépenses des Etd, icon: "fa fa-diamond", show_mosaic_button: true}

    admin.projetetd:
        class: App\Admin\Emine\Autres\ProjetEtdAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\ProjetEtd, controller: App\Controller\Crud\CRUDProjetEtdController, manager_type: orm, group: "Etd", label: Projets Etd, icon: "fa fa-diamond", show_mosaic_button: true}

    admin.emploietd:
        class: App\Admin\Emine\Autres\EmpoyeProjetEtdAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\EmployeProjetEtd, manager_type: orm, group: "Etd", label: Emplois crées Etd, icon: "fa fa-diamond", show_mosaic_button: true}

    admin.projetfomin:
        class: App\Admin\Emine\Operateur\ProjetFominAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Operateur\ProjetFomin, manager_type: orm, group: "Etd", label: Projets Fomin, icon: "fa fa-diamond", show_mosaic_button: true}

    admin.etdsecondaire:
        class: App\Admin\Emine\Autres\EtdSecondaireAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\EtdSecondaire, manager_type: orm, group: "Etd", controller: App\Controller\Crud\CRUDEtdSecondaireController, label: Etds secondaires, icon: "fa fa-diamond", show_mosaic_button: true}

    admin.typecontribution:
        class: App\Admin\Emine\Autres\TypeContributionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\TypeContribution, manager_type: orm, group: "Etd", label: Types des contributions, icon: "fa fa-diamond", show_mosaic_button: true}
    
    admin.projection:
        class: App\Admin\Estat\Projection\ProjectionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Estat\Projection\Projection, manager_type: orm, group: "Projections", label: Projections, icon: "fa fa-line-chart", show_mosaic_button: true}

    admin.accord:
        class: App\Admin\Emine\Partenariat\AccordAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Partenariat\Accord, manager_type: orm, group: "Partenariats", label: Accords internationaux, icon: "fa fa-book", show_mosaic_button: true}

    admin.strategie:
        class: App\Admin\Emine\Partenariat\StrategieAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Partenariat\Strategie, manager_type: orm, group: "Partenariats", label: Stratégies nationales, icon: "fa fa-book", show_mosaic_button: true}

    admin.projetptf:
        class: App\Admin\Emine\Partenariat\ProjetPTFAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Partenariat\ProjetPTF, manager_type: orm, group: "Partenariats", label: Projets PTF, icon: "fa fa-book", show_mosaic_button: true}

    admin.ptf:
        class: App\Admin\Emine\Partenariat\PTFAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Partenariat\PTF, manager_type: orm, group: "Partenariats", label: PTF, icon: "fa fa-book", show_mosaic_button: true}

    admin.importexpo:
        class: App\Admin\Estat\Importation\ImportationExportationAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Estat\Importation\ImportationExportation, manager_type: orm, group: "Importations données", label: Exportations, icon: "fa fa-upload", show_mosaic_button: true}

    admin.importprod:
        class: App\Admin\Estat\Importation\ImportationProductionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Estat\Importation\ImportationProduction, manager_type: orm, group: "Importations données", label: Productions, icon: "fa fa-upload", show_mosaic_button: true}

    admin.importvente:
        class: App\Admin\Estat\Importation\ImportationVenteAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Estat\Importation\ImportationVente, manager_type: orm, group: "Importations données", label: Ventes, icon: "fa fa-upload", show_mosaic_button: true}
    
    admin.cours:
        class: App\Admin\Emine\Autres\CoursMoyensDesMetauxAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\CoursMoyensDesMetaux, manager_type: orm, group: "Cours moyens des métaux", label: Cours moyens des métaux, icon: "fa fa-money", show_mosaic_button: true}

    admin.bourse:
        class: App\Admin\Emine\Autres\BourseAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\Bourse, manager_type: orm, group: "Cours moyens des métaux", label: Bourses, icon: "fa fa-money", show_mosaic_button: true}

    admin.mode:
        class: App\Admin\Emine\Autres\ModePaiementAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Emine\Autres\ModePaiement, manager_type: orm, group: "Cours moyens des métaux", label: Modes de vente, icon: "fa fa-money", show_mosaic_button: true}

    admin.commission:
        class: App\Admin\Commission\CommissionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Commission\Commission, manager_type: orm, group: "Commissions", label: Commissions, icon: "fa fa-book", show_mosaic_button: true}

    admin.personnel:
        class: App\Admin\Commission\PersonnelAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Commission\Personnel, manager_type: orm, group: "Commissions", label: Personnels, icon: "fa fa-book", show_mosaic_button: true}

    admin.servicecom:
        class: App\Admin\Commission\ServiceCommissionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Commission\ServiceCommission, manager_type: orm, group: "Commissions", label: Services, icon: "fa fa-book", show_mosaic_button: true}

    admin.typecom:
        class: App\Admin\Commission\TypeCommissionAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\Commission\TypeCommission, manager_type: orm, group: "Commissions", label: Types de commissions, icon: "fa fa-book", show_mosaic_button: true}

    admin.user:
        class: App\Admin\User\UserAdmin
        tags:
            - { name: sonata.admin, model_class: App\Entity\User, manager_type: orm, group: "Users", label: Users, icon: "fa fa-users", show_mosaic_button: true}



